# Create operations keys

`POST https://api.parklio.com/v2/operation-keys`

This endpoint allows the user to create operations keys

**Auth:** none (public)

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `start_time` | string | yes |  |
| `end_time` | string | no |  |
| `products` | string[] | yes |  |
| `receiver_emails` | string[] | yes |  |
| `is_unlimited` | number | no |  |

```json
{
  "start_time": "2026-01-15T09:30:00.000Z",
  "end_time": "2026-01-15T09:30:00.000Z",
  "products": [
    "string"
  ],
  "receiver_emails": [
    "john.doe1@example.com",
    "john.doe2@example.com",
    "john.doe3@example.com"
  ],
  "is_unlimited": 0
}
```

## Responses

### 200 — Successful response

```json
{
  "email": "example@example.com",
  "invited": true
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

### 403 — User does not have permission to access requested resource.

```json
{
  "success": false,
  "errors": [
    {
      "code": 4,
      "message": "No permission."
    }
  ]
}
```

### 404 — Resource that has been requested does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 6,
      "message": "Resource not found."
    }
  ]
}
```

### 422 — Some of the provided request parameters are missing or are invalid. User should add/change them according to response message.

```json
{
  "success": false,
  "errors": [
    {
      "code": 23,
      "message": "Validation error",
      "field": "field"
    }
  ]
}
```

